/*
 * Class SEQUENCE [NATURAL_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1988 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1988 [] = {0xFF01,1551,1987,854,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1988 [] = {0xFF01,1987,854,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1988 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1988 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1988 [] = {0xFF01,1987,854,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1988 [] = {0xFF01,1987,854,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1988 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1988 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1988 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1988 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1988 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1988 [] = {1987,854,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1988 [] = {0xFF01,1987,854,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1988 [] = {0xFF01,1971,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1988 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1988 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1988 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1988 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1988[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1988), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1988), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1988), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1988), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1988), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1988), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1988), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1988), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1988), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1988), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1988), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1988), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1988), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1988), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8891, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9223, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8653, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8654, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8655, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8656, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8657, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1988), 8902, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1988), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8892, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8977, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8894, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1988), 8895, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8896, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1988), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8976, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8898, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8899, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8900, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8901, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9042, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9312, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9043, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9313, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9314, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1988), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9308, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9309, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9097, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8894, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8893, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9310, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9311, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
};
void Init1988(void)
{
	IDSC(desc_1988, 0, 1987);
	IDSC(desc_1988 + 1, 1, 1987);
	IDSC(desc_1988 + 32, 1134, 1987);
	IDSC(desc_1988 + 41, 1444, 1987);
	IDSC(desc_1988 + 50, 1534, 1987);
	IDSC(desc_1988 + 57, 1135, 1987);
	IDSC(desc_1988 + 66, 1060, 1987);
	IDSC(desc_1988 + 72, 778, 1987);
	IDSC(desc_1988 + 73, 1245, 1987);
	IDSC(desc_1988 + 76, 387, 1987);
	IDSC(desc_1988 + 78, 554, 1987);
	IDSC(desc_1988 + 79, 878, 1987);
}


#ifdef __cplusplus
}
#endif
